@import "variables.scss";
@import "mixin.scss";

.sections__title {
  @include sections__title;
}
.section-post {
  &__wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    padding-top: 24px;
    gap: 32px;
    padding-bottom: 69px;
    @media (max-width: 1200px) {
      grid-template-columns: 1fr;
    }
    @media (max-width: 768px) {
      gap: 28px;
      padding-bottom: 77px;
    }
  }

  &__item {
    @include flex-sb;
    gap: 21px;
    align-items: start;
    @media (max-width: 1200px) {
      max-width: 555px;
     
    }
    @media (max-width: 768px) {
      display: flex;
      flex-direction: column;
      gap: 11px;
    }
  }
  &__item:last-child{
    @media (max-width: 768px) {
      display: none;
    }
  }
  &__text {
    max-width: 405px;
  }
  &__title {
    color: $text-color;
    font-size: $desctop-size;
    font-weight: 700;
    line-height: 30px;
    @media (max-width: 768px) {
      font-size: $mobile-size;
    }
  }
  &__commit {
    color: #7c7c7c;
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    @media (max-width: 768px) {
      font-size: 11px;
    }
  }
  &__descr {
    color: #5c5c5c;
    font-size: 14px;
    font-weight: 400;
    line-height: 26px;
    @media (max-width: 768px) {
      display: none;
    }
  }
}
